Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154143 - libglade-java provides .la file with dangling reference to /usr/lib/libxml2.la
Summary: libglade-java provides .la file with dangling reference to /usr/lib/libxml2.la
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libglade-java
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Fitzsimmons
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-07 18:56 UTC by Nalin Dahyabhai
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-15 19:23:30 UTC


Attachments (Terms of Use)

Description Nalin Dahyabhai 2005-04-07 18:56:18 UTC
Description of problem:
If your application uses libtool, you can't successfully link with libgladejni.

Version-Release number of selected component (if applicable):
libglade-java-2.9.92-1
libxml2-devel-2.6.19-1

How reproducible:
Always

Steps to Reproduce:
1. cat > foo.c << EOF
   int main(int argc, char **argv) { return 0; }
   EOF
2. libtool --mode=compile gcc -c -o foo.lo foo.c
3. libtool --mode=link    gcc -o foo foo.lo -lgladejni
  
Actual results:
libtool: link: cannot find the library `/usr/lib/libxml2.la'

Expected results:
No output, successful link.

Additional info:
This should fix itself if we just bump the release number and recompile the package.

Comment 1 Thomas Fitzsimmons 2005-04-15 19:23:30 UTC
Fixed in Rawhide.  Closing.



Note You need to log in before you can comment on or make changes to this bug.